body {
    
    display: block;
    width: 100%; height: 100%; margin: 0; padding: 0;
  }
html {
    width: 100%;
     height: 100%;
     }
     #main-content{
        width: 100%;
        height: 100%; 
        margin: 0; 
        padding: 0;
    }
     #mapid { 
        height: 85%;
        width: 100%;
     }
    

.sidenav button{
    height: 35px;
}

.sidenav {
    height: 100%; 
    width: 0;
    position: fixed; 
    z-index: 1; 
    top: 0; 
    left: 0;
    background-color: #333; 
    overflow-x: hidden; 
    padding-top: 60px; 
    transition: 0.5s; 
}


.sidenav a {
    padding: 8px 8px 8px 32px;
    text-decoration: none;
    font-size: 25px;
    color: #d9d9d9;
    display: block;
    transition: 0.3s;
}

 #emergencyButton{

    background-color: red;
    color: #d9d9d9;
    
    cursor: pointer;
  }


#gif{
  height: 400px;
  width: 400px;
}

.sidenav a:hover {
    color: #d9d9d9;
}

.sidenav .closebtn {
    position: absolute;
    top: 0;
    right: 25px;
    font-size: 24px;
    margin-left: 50px;
}

#main {
    height: 100%; margin: 0; padding: 0;
    transition: margin-left .5s;

}

@media screen and (max-height: 450px) {
    .sidenav {padding-top: 15px;}
    .sidenav a {font-size: 18px;}
}



#map-page{
    background-color: #333;
    width: 100%;
    height: 100%;
    display: none;
 }

#about-page{
    display: none;
 }

#team-page{
    display: none;
 }


#aokilab{
    height: 100px;
    width: 350px;
}

#map-data{
    background-color: #d9d9d9;
    border-style: solid;
    border-color: #333;
    border-width: 0px 0px 4px 0px;
    width: 100%;
    height: 50px;
}

#map-data a{
    float: left;
    display: block;
    color: #333;
    text-align: center;
    padding: 14px 16px;
    text-decoration: none;
    font-size: 17px;
    cursor: pointer;
}

#map-data a:hover{
    background-color: #333;
    color: #d9d9d9;
}

#map-data h4{
    float: left;
    display: block;
    color: #333;
    text-align: center;
    padding: 14px 16px;
    text-decoration: none;
    font-size: 17px;
    cursor: pointer;
}


#navbar {
    background-color: #333;
    overflow: hidden;
}

#navbar a{
    float: left;
    display: block;
    color: #d9d9d9;
    text-align: center;
    padding: 14px 16px;
    text-decoration: none;
    font-size: 17px;
    cursor: pointer;
}

@media screen and (max-width: 485px) {
    #navbar a{
        font-size: 13px;
    }
}

@media screen and (max-width: 413px) {
    #navbar a{
        font-size: 11px;
    }
}

@media screen and (max-width: 379px) {
    #navbar a{
        font-size: 9px;
    }
}

@media screen and (max-width: 344px) {
    #navbar a{
        font-size: 7px;
    }
}

#navbar a:hover{
    background-color: #d9d9d9;
    color: #333;
}

.active {
    background-color: #4CAF50;
    color: white;
}

#navbar-content{
    display: none;
}

.navb{
    display: flex;

}

#login-page{
    display: none;
    text-align: center;
    margin-top: 300px;
 }


#wpClear{
    width: 100%;
    background-color: lightpink;
}
#wpPush{
    width: 100%;
    background-color: lightgreen;
}

#robot-list{
    
    pointer-events: initial;
    list-style-type: none;
    margin: 0;
    padding: 0;
    width: 200px;
    height: 100px;
    background-color: #f1f1f1;
    border: 1px solid #555;
    overflow: auto; 
}

#countries{
   list-style-type: none;
}

#robot-list li{
    padding-left: 20px;
}





#myToolnav{
    background-color: #d9d9d9;
}

#myToolnav a{
    color: #333;
    cursor: pointer;
}

.tool{
    padding-top: 20px;
    padding-bottom: 20px;
    padding-left: 20px;
    padding-right: 20px;
    border-style: solid;
    border-color: #333;
    border-width: 0px 0px 1px 0px;
}

.tool button{
    width: 100%;
}

.tool select{
    width: 100%;
}

.robot-info{
    font-size: 12px;
    text-align: right;
    margin: 0;
    /* position: relative;
    float: right;
    
    padding-top: 2px; */

}

/* #map-data{
    border-style: solid;
    border-color: #333;
    border-width: 4px 4px 0px 4px;
    width: 100%;
    height: 50px;
    background-color: #d9d9d9;
    display: grid;
} */


/* .wd{
    overflow: hidden;
    float: left;
    margin: 10px 5px 10px 5px;
 } */

.wpDiv {
    border-style: solid;
    border-color: black;
    border-width: 1px;
}

 /* The switch - the box around the slider */
.switch {
    position: relative;
    display: inline-block;
    width: 60px;
    height: 34px;
  }
  
  /* Hide default HTML checkbox */
  .switch input {
    opacity: 0;
    width: 0;
    height: 0;
  }
  
  /* The slider */
  .slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: .4s;
    transition: .4s;
  }
  
  .slider:before {
    position: absolute;
    content: "";
    height: 26px;
    width: 26px;
    left: 4px;
    bottom: 4px;
    background-color: white;
    -webkit-transition: .4s;
    transition: .4s;
  }
  
  input:checked + .slider {
    background-color: #2196F3;
  }
  
  input:focus + .slider {
    box-shadow: 0 0 1px #2196F3;
  }
  
  input:checked + .slider:before {
    -webkit-transform: translateX(26px);
    -ms-transform: translateX(26px);
    transform: translateX(26px);
  }
  
  /* Rounded sliders */
  .slider.round {
    border-radius: 34px;
  }
  
  .slider.round:before {
    border-radius: 50%;
  }

  .slidecontainer {
    width: 100%; /* Width of the outside container */
  }
  
  /* The slider itself */
.sliderRef {
    -webkit-appearance: none;
    width: 100%;
    height: 15px;
    border-radius: 5px;   
    background: #d3d3d3;
    outline: none;
    opacity: 0.7;
    -webkit-transition: .2s;
    transition: opacity .2s;
  }

  .sliderRef::-webkit-slider-thumb {
    appearance: none;
    width: 25px;
    height: 25px;
    border-radius: 50%; 
    background: #4CAF50;
    cursor: pointer;
  }


  #patrolSliderContainer{
      width: 100%;
      padding-top: 20px;
  }

/* The slider itself */
.patrolSlider {

    width: 50%; /* Full-width */

  }
  
  #patrolBtn{
    width: 50%; /* Full-width */
    background-color: lightblue;
  }




  /* ON OFF SWITCH */
  .onoffswitch {
    position: relative; width: 90px;
    -webkit-user-select:none; -moz-user-select:none; -ms-user-select: none;
}
.onoffswitch-checkbox {
    display: none;
}
.onoffswitch-label {
    display: block; overflow: hidden; cursor: pointer;
    border: 2px solid #999999; border-radius: 20px;
}
.onoffswitch-inner {
    display: block; width: 200%; margin-left: -100%;
    /* transition: margin 0.3s ease-in 0s; */
}
.onoffswitch-inner:before, .onoffswitch-inner:after {
    display: block; float: left; width: 50%; height: 30px; padding: 0; line-height: 30px;
    font-size: 16px; color: white; font-family: Trebuchet, Arial, sans-serif; font-weight: bold;
    box-sizing: border-box;
}
.onoffswitch-inner:before {
    content: "ON";
    padding-left: 10px;
    background-color: #34C264; color: #FFFFFF;
}
.onoffswitch-inner:after {
    content: "OFF";
    padding-right: 10px;
    background-color: #EEEEEE; color: #999999;
    text-align: right;
}
.onoffswitch-switch {
    display: block; width: 26px; margin: 2px;
    background: #FFFFFF;
    position: absolute; top: 0; bottom: 0;
    right: 56px;
    border: 2px solid #999999; border-radius: 20px;
    /* transition: all 0.3s ease-in 0s;  */
}
.onoffswitch-checkbox:checked + .onoffswitch-label .onoffswitch-inner {
    margin-left: 0;
}
.onoffswitch-checkbox:checked + .onoffswitch-label .onoffswitch-switch {
    right: 0px; 
}

.robotPopup{
    cursor: pointer;
}

.robotPopup:hover{
    color: #4CAF50;
}

